# this is needed to match this package with the main package without the main package
# having a hard requirement on this package
%define helper_version	6

Name:		kmozillahelper
Version:	5.0.5
Release:	%mkrel 1
Summary:	Mozilla Plasma Integration
License:	MIT
Group:		Graphical desktop/KDE5
Url:		https://github.com/openSUSE/kmozillahelper
Source:		https://github.com/openSUSE/kmozillahelper/archive/v%{version}/%{name}-%{version}.tar.xz

%description
Package providing integration of Mozilla applications with Plasma 5.


%prep
%setup -q

%build
version=$(grep '#define HELPER_VERSION' main.cpp | cut -d ' ' -f 3)
if test "$version" != %{helper_version}; then
    echo fix the version in the .spec file
    exit 1
fi
%cmake_kf5
%make_build

%install
%make_install -C build


%files
%_prefix/lib/mozilla/kmozillahelper
%_kf5_knotificationsdir/kmozillahelper.notifyrc


%changelog
* Wed Sep 04 2019 tex - 5.0.5-1pclos2019
- new
